Loading...
Searching...
No Matches
gtsam::CholeskyFailed Class Reference

## Detailed Description

Indicate Cholesky factorization failure.

Inheritance diagram for gtsam::CholeskyFailed:

## Additional Inherited Members

Public Member Functions inherited from gtsam::ThreadsafeException< CholeskyFailed >
const char * | what () const noexcept override
Protected Types inherited from gtsam::ThreadsafeException< CholeskyFailed >
typedef std::string | String
Protected Member Functions inherited from gtsam::ThreadsafeException< CholeskyFailed >
| ThreadsafeException ()
| Default constructor is protected - may only be created from derived classes.
| ~ThreadsafeException () noexcept override
| Default destructor doesn't have the noexcept.
Protected Attributes inherited from gtsam::ThreadsafeException< CholeskyFailed >
bool | dynamic_
| Whether this object was moved.
boost::optional< String > | description_
| Optional description.

The documentation for this class was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/base/ThreadsafeException.h